LINUX.ORG.RU

Сообщения xmikex

 

psi+libqtgui+libng

Форум — Desktop

не работает psi при запуске пишет

libpng warning: Application was compiled with png.h from libpng-1.2.37
libpng warning: Application is running with png.c from libpng-1.4.3
libpng warning: Incompatible libpng version in application and library

до этого такая же проблема ьыла с программами, которые qt 4.7 использовали, перекомпилировал libqtgui.so с -I/usr/include/libpng14 те программы стали работать нормально.

как с psi исправить ошибку?

xmikex ()

компиляция gtk+

Форум — General

пробовал скомпилировать gtk+ сначало писало что нужна новая glib2, после того как собрал и установил glib2 при сборке gtk+ стал писать ошибку
/usr/local/lib/libgio-2.0.so: undefined reference to `g_variant_type_is_variant'
/usr/local/lib/libgio-2.0.so: undefined reference to `g_variant_dup_string'
/usr/local/lib/libgio-2.0.so: undefined reference to `g_variant_type_value'
/usr/local/lib/libgio-2.0.so: undefined reference to `g_variant_get_uint16'
/usr/local/lib/libgio-2.0.so: undefined reference to `g_variant_get_va' ...
как это исправить и собрать gtk+?

xmikex ()

RSS подписка на новые темы